Package groovy.transform.stc

# Class SecondParam.ThirdGenericType

java.lang.Object
groovy.transform.stc.ClosureSignatureHint
groovy.transform.stc.SingleSignatureClosureHint
groovy.transform.stc.PickAnyArgumentHint
groovy.transform.stc.SecondParam.ThirdGenericType

Enclosing class:
  SecondParam

public static class SecondParam.ThirdGenericType extends PickAnyArgumentHint

A hint used to instruct the type checker to pick the second generic type of the second parameter type. For example:

`void <T,U,V> doWithElements(String base, Triple<T,U,V> src, @ClosureParams(SecondParam.ThirdGenericType.class) Closure c) { ... }`

Since:
  2.3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ThirdGenericType()`

- ## Method Summary

  ### Methods inherited from class groovy.transform.stc.PickAnyArgumentHint

  `getParameterTypes`

  ### Methods inherited from class groovy.transform.stc.SingleSignatureClosureHint

  `getClosureSignatures`

  ### Methods inherited from class groovy.transform.stc.ClosureSignatureHint

  `findClassNode, pickGenericType, pickGenericType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ThirdGenericType

    public ThirdGenericType()